org.eclipse.incquery.patternlanguage.emf.eMFPatternLanguage

## Interface XImportSection

- All Superinterfaces:
    org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, org.eclipse.xtext.xtype.XImportSection

      public interface XImportSection
      extends org.eclipse.xtext.xtype.XImportSection

  A representation of the model object 'XImport Section'.

  The following features are supported:

  - `Package Import`
  - `Pattern Import`
  See Also:
    `EMFPatternLanguagePackage.getXImportSection()`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.eclipse.emf.common.util.EList<PackageImport>` | `getPackageImport()` Returns the value of the 'Package Import' containment reference list.
    `org.eclipse.emf.common.util.EList<PatternImport>` | `getPatternImport()` Returns the value of the 'Pattern Import' containment reference list.

    - ### Methods inherited from interface org.eclipse.xtext.xtype.XImportSection

      `getImportDeclarations`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getPackageImport

          org.eclipse.emf.common.util.EList<PackageImport> getPackageImport()

      Returns the value of the 'Package Import' containment reference list. The list contents are of type `PackageImport`.

      If the meaning of the 'Package Import' containment reference list isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Package Import' containment reference list.
      See Also:
        `EMFPatternLanguagePackage.getXImportSection_PackageImport()`

    - #### getPatternImport

          org.eclipse.emf.common.util.EList<PatternImport> getPatternImport()

      Returns the value of the 'Pattern Import' containment reference list. The list contents are of type `PatternImport`.

      If the meaning of the 'Pattern Import' containment reference list isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Pattern Import' containment reference list.
      See Also:
        `EMFPatternLanguagePackage.getXImportSection_PatternImport()`